--- title: "Add a cloud account" slug: "add-a-cloud-account" tags: ["Product Usage", "vIPS 10.1.10"] updated: 2026-09-11T20:35:31Z published: 2026-09-11T20:35:31Z canonical: "docs.trellix.com/add-a-cloud-account" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Add a cloud account This URL adds a cloud account. ## Resource URL POST /controller//account ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | controller Id | Controller ID. You can use the GET /controller method to get the details of all the Controllers. | number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | name | Name of cloud account | string | Yes | | description | Description of the cloud account | string | Yes | | cloudType | Type of cloud account | string | Yes | | authType | Type of authentication | string | Yes | | valid | Not applicable | Not applicable | Not applicable | | authenticator | Authentication details | object | No | Details of authenticator: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | tenantId | Tenant ID | string | No | | userId | User ID | string | No | | privateKey | Private key used for authentication | string | No | | passPhrase | Pass phrase used for authentication | string | No | | fingerprint | Fingerprint used for authentication | string | No | ## Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | success | Indicates if the cloud account addition is successful. Value is set to true if the addition is successful. Value is set to false if the addition is not successful. | string | | msg | Message if cloud account addition is successful | string | | errMsg | Error message if the cloud account addition is not successful | string | | domainName | Not applicable | Not applicable | | data | Id of the newly added cloud account | number | ## Example **Request** POST [https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/controller/7](https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/controller/7) **Payload** ``` { "name":"account4", "description":"sample description", "cloudType":{"name":"aws"}, "authType":{"code":"key_based"}, "valid":true, "authenticator":{ "tenantId":"tenant1", "userId":"user1", "privateKey":"pkd", "passPhrase":"pps", "fingerPrint":"ddddfd:56:65:96:22:d4:c7:5c:17:f3:65:7d:b5:43:91:3a" } } ``` **Response** ``` {    "success": true,    "msg": null,    "errMsg": null,    "domainName": null,    "data": 4 } ```